# GstToc

GstToc functions are used to create/free GstToc and GstTocEntry structures. Also they are used to convert GstToc into GstStructure and vice versa.

GstToc lets you to inform other elements in pipeline or application that playing source has some kind of table of contents (TOC). These may be chapters, editions, angles or other types. For example: DVD chapters, Matroska chapters or cue sheet TOC. Such TOC will be useful for applications to display instead of just a playlist.

Using TOC is very easy. Firstly, create GstToc structure which represents root contents of the source. You can also attach TOC-specific tags to it. Then fill it with GstTocEntry entries by appending them to the GstToc using gst_toc_append_entry, and appending subentries to a GstTocEntry using gst_toc_entry_append_sub_entry.

Note that root level of the TOC can contain only either editions or chapters. You should not mix them together at the same level. Otherwise you will get serialization /deserialization errors. Make sure that no one of the entries has negative start and stop values.

Use gst_event_new_toc to create a new TOC GstEvent, and gst_event_parse_toc to parse received TOC event. Use gst_event_new_toc_select to create a new TOC select GstEvent, and gst_event_parse_toc_select to parse received TOC select event. The same rule for the GstMessage: gst_message_new_toc to create new TOC GstMessage, and gst_message_parse_toc to parse received TOC message.

TOCs can have global scope or current scope. Global scope TOCs contain all entries that can possibly be selected using a toc select event, and are what an application is usually interested in. TOCs with current scope only contain the parts of the TOC relevant to the currently selected/playing stream; the current scope TOC is used by downstream elements such as muxers to write correct TOC entries when transcoding files, for example. When playing a DVD, the global TOC would contain a hierarchy of all titles, chapters and angles, for example, while the current TOC would only contain the chapters for the currently playing title if playback of a specific title was requested.

Applications and plugins should not rely on TOCs having a certain kind of structure, but should allow for different alternatives. For example, a simple CUE sheet embedded in a file may be presented as a flat list of track entries, or could have a top-level edition node (or some other alternative type entry) with track entries underneath that node; or even multiple top-level edition nodes (or some other alternative type entries) each with track entries underneath, in case the source file has extracted a track listing from different sources).

## GstToc

## Gst.Toc

### Constructors

#### gst_toc_new

    GstToc *
    gst_toc_new (GstTocScope scope)

Create a new GstToc structure.

Parameters:

`scope` –

scope of this TOC

Returns ( [transfer: full]) –

newly allocated GstToc structure, free it with gst_toc_unref.

#### Gst.Toc.prototype.new

    function Gst.Toc.prototype.new(scope: Gst.TocScope): {
        // javascript wrapper for 'gst_toc_new'
    }

Create a new Gst.Toc structure.

Parameters:

`scope` (Gst.TocScope) –

scope of this TOC

Returns (Gst.Toc) –

newly allocated Gst.Toc structure, free it with gst_toc_unref (not introspectable).

#### Gst.Toc.new

    def Gst.Toc.new (scope):
        #python wrapper for 'gst_toc_new'

Create a new Gst.Toc structure.

Parameters:

`scope` (Gst.TocScope) –

scope of this TOC

Returns (Gst.Toc) –

newly allocated Gst.Toc structure, free it with gst_toc_unref (not introspectable).

### Methods

#### gst_toc_append_entry

    gst_toc_append_entry (GstToc * toc,
                          GstTocEntry * entry)

Appends the GstTocEntry entry to toc.

Parameters:

`toc` –

A GstToc instance

`entry` ( [transfer: full]) –

A GstTocEntry

#### Gst.Toc.prototype.append_entry

    function Gst.Toc.prototype.append_entry(entry: Gst.TocEntry): {
        // javascript wrapper for 'gst_toc_append_entry'
    }

Appends the Gst.TocEntry entry to toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

`entry` (Gst.TocEntry) –

A Gst.TocEntry

#### Gst.Toc.append_entry

    def Gst.Toc.append_entry (self, entry):
        #python wrapper for 'gst_toc_append_entry'

Appends the Gst.TocEntry entry to toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

`entry` (Gst.TocEntry) –

A Gst.TocEntry

#### gst_toc_dump

    gst_toc_dump (GstToc * toc)

Parameters:

`toc` –
No description available

#### Gst.Toc.prototype.dump

    function Gst.Toc.prototype.dump(): {
        // javascript wrapper for 'gst_toc_dump'
    }

Parameters:

`toc` (Gst.Toc) –
No description available

#### Gst.Toc.dump

    def Gst.Toc.dump (self):
        #python wrapper for 'gst_toc_dump'

Parameters:

`toc` (Gst.Toc) –
No description available

#### gst_toc_find_entry

    GstTocEntry *
    gst_toc_find_entry (const GstToc * toc,
                        const gchar * uid)

Find GstTocEntry with given uid in the toc.

Parameters:

`toc` –

GstToc to search in.

`uid` –

UID to find GstTocEntry with.

Returns ( [transfer: none][nullable]) –

GstTocEntry with specified uid from the toc, or NULL if not found.

#### Gst.Toc.prototype.find_entry

    function Gst.Toc.prototype.find_entry(uid: String): {
        // javascript wrapper for 'gst_toc_find_entry'
    }

Find Gst.TocEntry with given uid in the toc.

Parameters:

`toc` (Gst.Toc) –

Gst.Toc to search in.

`uid` (String) –

UID to find Gst.TocEntry with.

Returns (Gst.TocEntry) –

Gst.TocEntry with specified uid from the toc, or null if not found.

#### Gst.Toc.find_entry

    def Gst.Toc.find_entry (self, uid):
        #python wrapper for 'gst_toc_find_entry'

Find Gst.TocEntry with given uid in the toc.

Parameters:

`toc` (Gst.Toc) –

Gst.Toc to search in.

`uid` (str) –

UID to find Gst.TocEntry with.

Returns (Gst.TocEntry) –

Gst.TocEntry with specified uid from the toc, or None if not found.

#### gst_toc_get_entries

    GList *
    gst_toc_get_entries (const GstToc * toc)

Gets the list of GstTocEntry of toc.

Parameters:

`toc` –

A GstToc instance

Returns ( [transfer: none][element-type Gst.TocEntry]) –

A GList of GstTocEntry for entry

#### Gst.Toc.prototype.get_entries

    function Gst.Toc.prototype.get_entries(): {
        // javascript wrapper for 'gst_toc_get_entries'
    }

Gets the list of Gst.TocEntry of toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

Returns ([ Gst.TocEntry ]) –

A GLib.List of Gst.TocEntry for entry

#### Gst.Toc.get_entries

    def Gst.Toc.get_entries (self):
        #python wrapper for 'gst_toc_get_entries'

Gets the list of Gst.TocEntry of toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

Returns ([ Gst.TocEntry ]) –

A GLib.List of Gst.TocEntry for entry

#### gst_toc_get_scope

    GstTocScope
    gst_toc_get_scope (const GstToc * toc)

Parameters:

`toc` –

a GstToc instance

Returns –

scope of toc

#### Gst.Toc.prototype.get_scope

    function Gst.Toc.prototype.get_scope(): {
        // javascript wrapper for 'gst_toc_get_scope'
    }

Parameters:

`toc` (Gst.Toc) –

a Gst.Toc instance

Returns (Gst.TocScope) –

scope of toc

#### Gst.Toc.get_scope

    def Gst.Toc.get_scope (self):
        #python wrapper for 'gst_toc_get_scope'

Parameters:

`toc` (Gst.Toc) –

a Gst.Toc instance

Returns (Gst.TocScope) –

scope of toc

#### gst_toc_get_tags

    GstTagList *
    gst_toc_get_tags (const GstToc * toc)

Gets the tags for toc.

Parameters:

`toc` –

A GstToc instance

Returns ( [transfer: none][nullable]) –

A GstTagList for entry

#### Gst.Toc.prototype.get_tags

    function Gst.Toc.prototype.get_tags(): {
        // javascript wrapper for 'gst_toc_get_tags'
    }

Gets the tags for toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

Returns (Gst.TagList) –

A Gst.TagList for entry

#### Gst.Toc.get_tags

    def Gst.Toc.get_tags (self):
        #python wrapper for 'gst_toc_get_tags'

Gets the tags for toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

Returns (Gst.TagList) –

A Gst.TagList for entry

#### gst_toc_merge_tags

    gst_toc_merge_tags (GstToc * toc,
                        GstTagList * tags,
                        GstTagMergeMode mode)

Merge tags into the existing tags of toc using mode.

Parameters:

`toc` –

A GstToc instance

`tags` ( [nullable]) –

A GstTagList or NULL

`mode` –

A GstTagMergeMode

#### Gst.Toc.prototype.merge_tags

    function Gst.Toc.prototype.merge_tags(tags: Gst.TagList, mode: Gst.TagMergeMode): {
        // javascript wrapper for 'gst_toc_merge_tags'
    }

Merge tags into the existing tags of toc using mode.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

`tags` (Gst.TagList) –

A Gst.TagList or null

`mode` (Gst.TagMergeMode) –

A Gst.TagMergeMode

#### Gst.Toc.merge_tags

    def Gst.Toc.merge_tags (self, tags, mode):
        #python wrapper for 'gst_toc_merge_tags'

Merge tags into the existing tags of toc using mode.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

`tags` (Gst.TagList) –

A Gst.TagList or None

`mode` (Gst.TagMergeMode) –

A Gst.TagMergeMode

#### gst_toc_set_tags

    gst_toc_set_tags (GstToc * toc,
                      GstTagList * tags)

Set a GstTagList with tags for the complete toc.

Parameters:

`toc` –

A GstToc instance

`tags` ( [nullable][transfer: full]) –

A GstTagList or NULL

#### Gst.Toc.prototype.set_tags

    function Gst.Toc.prototype.set_tags(tags: Gst.TagList): {
        // javascript wrapper for 'gst_toc_set_tags'
    }

Set a Gst.TagList with tags for the complete toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

`tags` (Gst.TagList) –

A Gst.TagList or null

#### Gst.Toc.set_tags

    def Gst.Toc.set_tags (self, tags):
        #python wrapper for 'gst_toc_set_tags'

Set a Gst.TagList with tags for the complete toc.

Parameters:

`toc` (Gst.Toc) –

A Gst.Toc instance

`tags` (Gst.TagList) –

A Gst.TagList or None

## GstTocEntry

## Gst.TocEntry

### Constructors

#### gst_toc_entry_new

    GstTocEntry *
    gst_toc_entry_new (GstTocEntryType type,
                       const gchar * uid)

Create new GstTocEntry structure.

Parameters:

`type` –

entry type.

`uid` –

unique ID (UID) in the whole TOC.

Returns ( [transfer: full]) –

newly allocated GstTocEntry structure, free it with gst_toc_entry_unref.

#### Gst.TocEntry.prototype.new

    function Gst.TocEntry.prototype.new(type: Gst.TocEntryType, uid: String): {
        // javascript wrapper for 'gst_toc_entry_new'
    }

Create new Gst.TocEntry structure.

Parameters:

`type` (Gst.TocEntryType) –

entry type.

`uid` (String) –

unique ID (UID) in the whole TOC.

Returns (Gst.TocEntry) –

newly allocated Gst.TocEntry structure, free it with gst_toc_entry_unref (not introspectable).

#### Gst.TocEntry.new

    def Gst.TocEntry.new (type, uid):
        #python wrapper for 'gst_toc_entry_new'

Create new Gst.TocEntry structure.

Parameters:

`type` (Gst.TocEntryType) –

entry type.

`uid` (str) –

unique ID (UID) in the whole TOC.

Returns (Gst.TocEntry) –

newly allocated Gst.TocEntry structure, free it with gst_toc_entry_unref (not introspectable).

### Methods

#### gst_toc_entry_append_sub_entry

    gst_toc_entry_append_sub_entry (GstTocEntry * entry,
                                    GstTocEntry * subentry)

Appends the GstTocEntry subentry to entry.

Parameters:

`entry` –

A GstTocEntry instance

`subentry` ( [transfer: full]) –

A GstTocEntry

#### Gst.TocEntry.prototype.append_sub_entry

    function Gst.TocEntry.prototype.append_sub_entry(subentry: Gst.TocEntry): {
        // javascript wrapper for 'gst_toc_entry_append_sub_entry'
    }

Appends the Gst.TocEntry subentry to entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

`subentry` (Gst.TocEntry) –

A Gst.TocEntry

#### Gst.TocEntry.append_sub_entry

    def Gst.TocEntry.append_sub_entry (self, subentry):
        #python wrapper for 'gst_toc_entry_append_sub_entry'

Appends the Gst.TocEntry subentry to entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

`subentry` (Gst.TocEntry) –

A Gst.TocEntry

#### gst_toc_entry_get_entry_type

    GstTocEntryType
    gst_toc_entry_get_entry_type (const GstTocEntry * entry)

Parameters:

`entry` –

a GstTocEntry

Returns –

entry's entry type

#### Gst.TocEntry.prototype.get_entry_type

    function Gst.TocEntry.prototype.get_entry_type(): {
        // javascript wrapper for 'gst_toc_entry_get_entry_type'
    }

Parameters:

`entry` (Gst.TocEntry) –

a Gst.TocEntry

Returns (Gst.TocEntryType) –

entry's entry type

#### Gst.TocEntry.get_entry_type

    def Gst.TocEntry.get_entry_type (self):
        #python wrapper for 'gst_toc_entry_get_entry_type'

Parameters:

`entry` (Gst.TocEntry) –

a Gst.TocEntry

Returns (Gst.TocEntryType) –

entry's entry type

#### gst_toc_entry_get_loop

    gboolean
    gst_toc_entry_get_loop (const GstTocEntry * entry,
                            GstTocLoopType * loop_type,
                            gint * repeat_count)

Get loop_type and repeat_count values from the entry and write them into appropriate storages. Loops are e.g. used by sampled instruments. GStreamer is not automatically applying the loop. The application can process this meta data and use it e.g. to send a seek-event to loop a section.

Parameters:

`entry` –

GstTocEntry to get values from.

`loop_type` ( [out][optional]) –

the storage for the loop_type value, leave NULL if not need.

`repeat_count` ( [out][optional]) –

the storage for the repeat_count value, leave NULL if not need.

Returns –

TRUE if all non-%NULL storage pointers were filled with appropriate values, FALSE otherwise.

Since : 1.4

#### Gst.TocEntry.prototype.get_loop

    function Gst.TocEntry.prototype.get_loop(): {
        // javascript wrapper for 'gst_toc_entry_get_loop'
    }

Get loop_type and repeat_count values from the entry and write them into appropriate storages. Loops are e.g. used by sampled instruments. GStreamer is not automatically applying the loop. The application can process this meta data and use it e.g. to send a seek-event to loop a section.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to get values from.

Returns a tuple made of:

(Number ) –

true if all non-%NULL storage pointers were filled with appropriate values, false otherwise.

`loop_type` (Gst.TocLoopType ) –

true if all non-%NULL storage pointers were filled with appropriate values, false otherwise.

`repeat_count` (Number ) –

true if all non-%NULL storage pointers were filled with appropriate values, false otherwise.

Since : 1.4

#### Gst.TocEntry.get_loop

    def Gst.TocEntry.get_loop (self):
        #python wrapper for 'gst_toc_entry_get_loop'

Get loop_type and repeat_count values from the entry and write them into appropriate storages. Loops are e.g. used by sampled instruments. GStreamer is not automatically applying the loop. The application can process this meta data and use it e.g. to send a seek-event to loop a section.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to get values from.

Returns a tuple made of:

(bool ) –

True if all non-%NULL storage pointers were filled with appropriate values, False otherwise.

`loop_type` (Gst.TocLoopType ) –

True if all non-%NULL storage pointers were filled with appropriate values, False otherwise.

`repeat_count` (int ) –

True if all non-%NULL storage pointers were filled with appropriate values, False otherwise.

Since : 1.4

#### gst_toc_entry_get_parent

    GstTocEntry *
    gst_toc_entry_get_parent (GstTocEntry * entry)

Gets the parent GstTocEntry of entry.

Parameters:

`entry` –

A GstTocEntry instance

Returns ( [transfer: none][nullable]) –

The parent GstTocEntry of entry

#### Gst.TocEntry.prototype.get_parent

    function Gst.TocEntry.prototype.get_parent(): {
        // javascript wrapper for 'gst_toc_entry_get_parent'
    }

Gets the parent Gst.TocEntry of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (Gst.TocEntry) –

The parent Gst.TocEntry of entry

#### Gst.TocEntry.get_parent

    def Gst.TocEntry.get_parent (self):
        #python wrapper for 'gst_toc_entry_get_parent'

Gets the parent Gst.TocEntry of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (Gst.TocEntry) –

The parent Gst.TocEntry of entry

#### gst_toc_entry_get_start_stop_times

    gboolean
    gst_toc_entry_get_start_stop_times (const GstTocEntry * entry,
                                        gint64 * start,
                                        gint64 * stop)

Get start and stop values from the entry and write them into appropriate storages.

Parameters:

`entry` –

GstTocEntry to get values from.

`start` ( [out][optional]) –

the storage for the start value, leave NULL if not need.

`stop` ( [out][optional]) –

the storage for the stop value, leave NULL if not need.

Returns –

TRUE if all non-%NULL storage pointers were filled with appropriate values, FALSE otherwise.

#### Gst.TocEntry.prototype.get_start_stop_times

    function Gst.TocEntry.prototype.get_start_stop_times(): {
        // javascript wrapper for 'gst_toc_entry_get_start_stop_times'
    }

Get start and stop values from the entry and write them into appropriate storages.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to get values from.

Returns a tuple made of:

(Number ) –

true if all non-%NULL storage pointers were filled with appropriate values, false otherwise.

`start` (Number ) –

true if all non-%NULL storage pointers were filled with appropriate values, false otherwise.

`stop` (Number ) –

true if all non-%NULL storage pointers were filled with appropriate values, false otherwise.

#### Gst.TocEntry.get_start_stop_times

    def Gst.TocEntry.get_start_stop_times (self):
        #python wrapper for 'gst_toc_entry_get_start_stop_times'

Get start and stop values from the entry and write them into appropriate storages.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to get values from.

Returns a tuple made of:

(bool ) –

True if all non-%NULL storage pointers were filled with appropriate values, False otherwise.

`start` (int ) –

True if all non-%NULL storage pointers were filled with appropriate values, False otherwise.

`stop` (int ) –

True if all non-%NULL storage pointers were filled with appropriate values, False otherwise.

#### gst_toc_entry_get_sub_entries

    GList *
    gst_toc_entry_get_sub_entries (const GstTocEntry * entry)

Gets the sub-entries of entry.

Parameters:

`entry` –

A GstTocEntry instance

Returns ( [transfer: none][element-type Gst.TocEntry]) –

A GList of GstTocEntry of entry

#### Gst.TocEntry.prototype.get_sub_entries

    function Gst.TocEntry.prototype.get_sub_entries(): {
        // javascript wrapper for 'gst_toc_entry_get_sub_entries'
    }

Gets the sub-entries of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns ([ Gst.TocEntry ]) –

A GLib.List of Gst.TocEntry of entry

#### Gst.TocEntry.get_sub_entries

    def Gst.TocEntry.get_sub_entries (self):
        #python wrapper for 'gst_toc_entry_get_sub_entries'

Gets the sub-entries of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns ([ Gst.TocEntry ]) –

A GLib.List of Gst.TocEntry of entry

#### gst_toc_entry_get_tags

    GstTagList *
    gst_toc_entry_get_tags (const GstTocEntry * entry)

Gets the tags for entry.

Parameters:

`entry` –

A GstTocEntry instance

Returns ( [nullable][transfer: none]) –

A GstTagList for entry

#### Gst.TocEntry.prototype.get_tags

    function Gst.TocEntry.prototype.get_tags(): {
        // javascript wrapper for 'gst_toc_entry_get_tags'
    }

Gets the tags for entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (Gst.TagList) –

A Gst.TagList for entry

#### Gst.TocEntry.get_tags

    def Gst.TocEntry.get_tags (self):
        #python wrapper for 'gst_toc_entry_get_tags'

Gets the tags for entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (Gst.TagList) –

A Gst.TagList for entry

#### gst_toc_entry_get_toc

    GstToc *
    gst_toc_entry_get_toc (GstTocEntry * entry)

Gets the parent GstToc of entry.

Parameters:

`entry` –

A GstTocEntry instance

Returns ( [transfer: none][nullable]) –

The parent GstToc of entry

#### Gst.TocEntry.prototype.get_toc

    function Gst.TocEntry.prototype.get_toc(): {
        // javascript wrapper for 'gst_toc_entry_get_toc'
    }

Gets the parent Gst.Toc of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (Gst.Toc) –

The parent Gst.Toc of entry

#### Gst.TocEntry.get_toc

    def Gst.TocEntry.get_toc (self):
        #python wrapper for 'gst_toc_entry_get_toc'

Gets the parent Gst.Toc of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (Gst.Toc) –

The parent Gst.Toc of entry

#### gst_toc_entry_get_uid

    const gchar *
    gst_toc_entry_get_uid (const GstTocEntry * entry)

Gets the UID of entry.

Parameters:

`entry` –

A GstTocEntry instance

Returns ( [transfer: none]) –

The UID of entry

#### Gst.TocEntry.prototype.get_uid

    function Gst.TocEntry.prototype.get_uid(): {
        // javascript wrapper for 'gst_toc_entry_get_uid'
    }

Gets the UID of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (String) –

The UID of entry

#### Gst.TocEntry.get_uid

    def Gst.TocEntry.get_uid (self):
        #python wrapper for 'gst_toc_entry_get_uid'

Gets the UID of entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

Returns (str) –

The UID of entry

#### gst_toc_entry_is_alternative

    gboolean
    gst_toc_entry_is_alternative (const GstTocEntry * entry)

Parameters:

`entry` –

a GstTocEntry

Returns –

TRUE if entry's type is an alternative type, otherwise FALSE

#### Gst.TocEntry.prototype.is_alternative

    function Gst.TocEntry.prototype.is_alternative(): {
        // javascript wrapper for 'gst_toc_entry_is_alternative'
    }

Parameters:

`entry` (Gst.TocEntry) –

a Gst.TocEntry

Returns (Number) –

true if entry's type is an alternative type, otherwise false

#### Gst.TocEntry.is_alternative

    def Gst.TocEntry.is_alternative (self):
        #python wrapper for 'gst_toc_entry_is_alternative'

Parameters:

`entry` (Gst.TocEntry) –

a Gst.TocEntry

Returns (bool) –

True if entry's type is an alternative type, otherwise False

#### gst_toc_entry_is_sequence

    gboolean
    gst_toc_entry_is_sequence (const GstTocEntry * entry)

Parameters:

`entry` –

a GstTocEntry

Returns –

TRUE if entry's type is a sequence type, otherwise FALSE

#### Gst.TocEntry.prototype.is_sequence

    function Gst.TocEntry.prototype.is_sequence(): {
        // javascript wrapper for 'gst_toc_entry_is_sequence'
    }

Parameters:

`entry` (Gst.TocEntry) –

a Gst.TocEntry

Returns (Number) –

true if entry's type is a sequence type, otherwise false

#### Gst.TocEntry.is_sequence

    def Gst.TocEntry.is_sequence (self):
        #python wrapper for 'gst_toc_entry_is_sequence'

Parameters:

`entry` (Gst.TocEntry) –

a Gst.TocEntry

Returns (bool) –

True if entry's type is a sequence type, otherwise False

#### gst_toc_entry_merge_tags

    gst_toc_entry_merge_tags (GstTocEntry * entry,
                              GstTagList * tags,
                              GstTagMergeMode mode)

Merge tags into the existing tags of entry using mode.

Parameters:

`entry` –

A GstTocEntry instance

`tags` ( [nullable]) –

A GstTagList or NULL

`mode` –

A GstTagMergeMode

#### Gst.TocEntry.prototype.merge_tags

    function Gst.TocEntry.prototype.merge_tags(tags: Gst.TagList, mode: Gst.TagMergeMode): {
        // javascript wrapper for 'gst_toc_entry_merge_tags'
    }

Merge tags into the existing tags of entry using mode.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

`tags` (Gst.TagList) –

A Gst.TagList or null

`mode` (Gst.TagMergeMode) –

A Gst.TagMergeMode

#### Gst.TocEntry.merge_tags

    def Gst.TocEntry.merge_tags (self, tags, mode):
        #python wrapper for 'gst_toc_entry_merge_tags'

Merge tags into the existing tags of entry using mode.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

`tags` (Gst.TagList) –

A Gst.TagList or None

`mode` (Gst.TagMergeMode) –

A Gst.TagMergeMode

#### gst_toc_entry_set_loop

    gst_toc_entry_set_loop (GstTocEntry * entry,
                            GstTocLoopType loop_type,
                            gint repeat_count)

Set loop_type and repeat_count values for the entry.

Parameters:

`entry` –

GstTocEntry to set values.

`loop_type` –

loop_type value to set.

`repeat_count` –

repeat_count value to set.

Since : 1.4

#### Gst.TocEntry.prototype.set_loop

    function Gst.TocEntry.prototype.set_loop(loop_type: Gst.TocLoopType, repeat_count: Number): {
        // javascript wrapper for 'gst_toc_entry_set_loop'
    }

Set loop_type and repeat_count values for the entry.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to set values.

`loop_type` (Gst.TocLoopType) –

loop_type value to set.

`repeat_count` (Number) –

repeat_count value to set.

Since : 1.4

#### Gst.TocEntry.set_loop

    def Gst.TocEntry.set_loop (self, loop_type, repeat_count):
        #python wrapper for 'gst_toc_entry_set_loop'

Set loop_type and repeat_count values for the entry.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to set values.

`loop_type` (Gst.TocLoopType) –

loop_type value to set.

`repeat_count` (int) –

repeat_count value to set.

Since : 1.4

#### gst_toc_entry_set_start_stop_times

    gst_toc_entry_set_start_stop_times (GstTocEntry * entry,
                                        gint64 start,
                                        gint64 stop)

Set start and stop values for the entry.

Parameters:

`entry` –

GstTocEntry to set values.

`start` –

start value to set.

`stop` –

stop value to set.

#### Gst.TocEntry.prototype.set_start_stop_times

    function Gst.TocEntry.prototype.set_start_stop_times(start: Number, stop: Number): {
        // javascript wrapper for 'gst_toc_entry_set_start_stop_times'
    }

Set start and stop values for the entry.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to set values.

`start` (Number) –

start value to set.

`stop` (Number) –

stop value to set.

#### Gst.TocEntry.set_start_stop_times

    def Gst.TocEntry.set_start_stop_times (self, start, stop):
        #python wrapper for 'gst_toc_entry_set_start_stop_times'

Set start and stop values for the entry.

Parameters:

`entry` (Gst.TocEntry) –

Gst.TocEntry to set values.

`start` (int) –

start value to set.

`stop` (int) –

stop value to set.

#### gst_toc_entry_set_tags

    gst_toc_entry_set_tags (GstTocEntry * entry,
                            GstTagList * tags)

Set a GstTagList with tags for the complete entry.

Parameters:

`entry` –

A GstTocEntry instance

`tags` ( [nullable][transfer: full]) –

A GstTagList or NULL

#### Gst.TocEntry.prototype.set_tags

    function Gst.TocEntry.prototype.set_tags(tags: Gst.TagList): {
        // javascript wrapper for 'gst_toc_entry_set_tags'
    }

Set a Gst.TagList with tags for the complete entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

`tags` (Gst.TagList) –

A Gst.TagList or null

#### Gst.TocEntry.set_tags

    def Gst.TocEntry.set_tags (self, tags):
        #python wrapper for 'gst_toc_entry_set_tags'

Set a Gst.TagList with tags for the complete entry.

Parameters:

`entry` (Gst.TocEntry) –

A Gst.TocEntry instance

`tags` (Gst.TagList) –

A Gst.TagList or None

## Functions

### gst_toc_entry_type_get_nick

    const gchar *
    gst_toc_entry_type_get_nick (GstTocEntryType type)

Converts type to a string representation.

Parameters:

`type` –

a GstTocEntryType.

Returns –

Returns a human-readable string for type. This string is only for debugging purpose and should not be displayed in a user interface.

### Gst.prototype.toc_entry_type_get_nick

    function Gst.prototype.toc_entry_type_get_nick(type: Gst.TocEntryType): {
        // javascript wrapper for 'gst_toc_entry_type_get_nick'
    }

Converts type to a string representation.

Parameters:

`type` (Gst.TocEntryType) –

a Gst.TocEntryType.

Returns (String) –

Returns a human-readable string for type. This string is only for debugging purpose and should not be displayed in a user interface.

### Gst.toc_entry_type_get_nick

    def Gst.toc_entry_type_get_nick (type):
        #python wrapper for 'gst_toc_entry_type_get_nick'

Converts type to a string representation.

Parameters:

`type` (Gst.TocEntryType) –

a Gst.TocEntryType.

Returns (str) –

Returns a human-readable string for type. This string is only for debugging purpose and should not be displayed in a user interface.

## Function Macros

### GST_TOC_ENTRY_TYPE_IS_ALTERNATIVE

    #define GST_TOC_ENTRY_TYPE_IS_ALTERNATIVE(entry_type)  (entry_type < 0)

Checks if entry_type indicates that its GstTocEntry is an alternative.

Parameters:

`entry_type` –

The GstTocEntryType from a GstTocEntry

### GST_TOC_ENTRY_TYPE_IS_SEQUENCE

    #define GST_TOC_ENTRY_TYPE_IS_SEQUENCE(entry_type)     (entry_type > 0)

Checks if entry_type indicates that its GstTocEntry is a sequence.

Parameters:

`entry_type` –

The GstTocEntryType from a GstTocEntry

### gst_toc_copy

    #define gst_toc_copy(toc)           (GstToc*)gst_mini_object_copy(GST_MINI_OBJECT_CAST(toc))

Copy GstToc with all subentries (deep copy).

Parameters:

`toc` –

GstToc to copy.

Returns ( [transfer: full]) –

newly allocated GstToc; free it when done with gst_toc_unref.

### gst_toc_entry_copy

    #define gst_toc_entry_copy(entry)           (GstTocEntry*)gst_mini_object_copy(GST_MINI_OBJECT_CAST(entry))

Copy GstTocEntry with all subentries (deep copy).

Parameters:

`entry` –

GstTocEntry to copy.

Returns ( [transfer: full]) –

newly allocated GstTocEntry; free it when done with gst_toc_entry_unref.

### gst_toc_entry_make_writable

    #define gst_toc_entry_make_writable(entry)  (GstTocEntry*)gst_mini_object_make_writable(GST_MINI_OBJECT_CAST(entry))

### gst_toc_entry_ref

    #define gst_toc_entry_ref(entry)            (GstTocEntry*)gst_mini_object_ref(GST_MINI_OBJECT_CAST(entry))

### gst_toc_entry_unref

    #define gst_toc_entry_unref(entry)          gst_mini_object_unref(GST_MINI_OBJECT_CAST(entry))

### gst_toc_make_writable

    #define gst_toc_make_writable(toc)  (GstToc*)gst_mini_object_make_writable(GST_MINI_OBJECT_CAST(toc))

### gst_toc_ref

    #define gst_toc_ref(toc)            (GstToc*)gst_mini_object_ref(GST_MINI_OBJECT_CAST(toc))

### gst_toc_unref

    #define gst_toc_unref(toc)          gst_mini_object_unref(GST_MINI_OBJECT_CAST(toc))

## Enumerations

### GstTocEntryType

The different types of TOC entries (see GstTocEntry).

There are two types of TOC entries: alternatives or parts in a sequence.

##### Members

`GST_TOC_ENTRY_TYPE_ANGLE` (-3) –

entry is an angle (i.e. an alternative)

`GST_TOC_ENTRY_TYPE_VERSION` (-2) –

entry is a version (i.e. alternative)

`GST_TOC_ENTRY_TYPE_EDITION` (-1) –

entry is an edition (i.e. alternative)

`GST_TOC_ENTRY_TYPE_INVALID` (0) –

invalid entry type value

`GST_TOC_ENTRY_TYPE_TITLE` (1) –

entry is a title (i.e. a part of a sequence)

`GST_TOC_ENTRY_TYPE_TRACK` (2) –

entry is a track (i.e. a part of a sequence)

`GST_TOC_ENTRY_TYPE_CHAPTER` (3) –

entry is a chapter (i.e. a part of a sequence)

### Gst.TocEntryType

The different types of TOC entries (see Gst.TocEntry).

There are two types of TOC entries: alternatives or parts in a sequence.

##### Members

`Gst.TocEntryType.ANGLE` (-3) –

entry is an angle (i.e. an alternative)

`Gst.TocEntryType.VERSION` (-2) –

entry is a version (i.e. alternative)

`Gst.TocEntryType.EDITION` (-1) –

entry is an edition (i.e. alternative)

`Gst.TocEntryType.INVALID` (0) –

invalid entry type value

`Gst.TocEntryType.TITLE` (1) –

entry is a title (i.e. a part of a sequence)

`Gst.TocEntryType.TRACK` (2) –

entry is a track (i.e. a part of a sequence)

`Gst.TocEntryType.CHAPTER` (3) –

entry is a chapter (i.e. a part of a sequence)

### Gst.TocEntryType

The different types of TOC entries (see Gst.TocEntry).

There are two types of TOC entries: alternatives or parts in a sequence.

##### Members

`Gst.TocEntryType.ANGLE` (-3) –

entry is an angle (i.e. an alternative)

`Gst.TocEntryType.VERSION` (-2) –

entry is a version (i.e. alternative)

`Gst.TocEntryType.EDITION` (-1) –

entry is an edition (i.e. alternative)

`Gst.TocEntryType.INVALID` (0) –

invalid entry type value

`Gst.TocEntryType.TITLE` (1) –

entry is a title (i.e. a part of a sequence)

`Gst.TocEntryType.TRACK` (2) –

entry is a track (i.e. a part of a sequence)

`Gst.TocEntryType.CHAPTER` (3) –

entry is a chapter (i.e. a part of a sequence)

### GstTocLoopType

How a GstTocEntry should be repeated. By default, entries are played a single time.

##### Members

`GST_TOC_LOOP_NONE` (0) –

single forward playback

`GST_TOC_LOOP_FORWARD` (1) –

repeat forward

`GST_TOC_LOOP_REVERSE` (2) –

repeat backward

`GST_TOC_LOOP_PING_PONG` (3) –

repeat forward and backward

Since : 1.4

### Gst.TocLoopType

How a Gst.TocEntry should be repeated. By default, entries are played a single time.

##### Members

`Gst.TocLoopType.NONE` (0) –

single forward playback

`Gst.TocLoopType.FORWARD` (1) –

repeat forward

`Gst.TocLoopType.REVERSE` (2) –

repeat backward

`Gst.TocLoopType.PING_PONG` (3) –

repeat forward and backward

Since : 1.4

### Gst.TocLoopType

How a Gst.TocEntry should be repeated. By default, entries are played a single time.

##### Members

`Gst.TocLoopType.NONE` (0) –

single forward playback

`Gst.TocLoopType.FORWARD` (1) –

repeat forward

`Gst.TocLoopType.REVERSE` (2) –

repeat backward

`Gst.TocLoopType.PING_PONG` (3) –

repeat forward and backward

Since : 1.4

### GstTocScope

The scope of a TOC.

##### Members

`GST_TOC_SCOPE_GLOBAL` (1) –

global TOC representing all selectable options (this is what applications are usually interested in)

`GST_TOC_SCOPE_CURRENT` (2) –

TOC for the currently active/selected stream (this is a TOC representing the current stream from start to EOS, and is what a TOC writer / muxer is usually interested in; it will usually be a subset of the global TOC, e.g. just the chapters of the current title, or the chapters selected for playback from the current title)

### Gst.TocScope

The scope of a TOC.

##### Members

`Gst.TocScope.GLOBAL` (1) –

global TOC representing all selectable options (this is what applications are usually interested in)

`Gst.TocScope.CURRENT` (2) –

TOC for the currently active/selected stream (this is a TOC representing the current stream from start to EOS, and is what a TOC writer / muxer is usually interested in; it will usually be a subset of the global TOC, e.g. just the chapters of the current title, or the chapters selected for playback from the current title)

### Gst.TocScope

The scope of a TOC.

##### Members

`Gst.TocScope.GLOBAL` (1) –

global TOC representing all selectable options (this is what applications are usually interested in)

`Gst.TocScope.CURRENT` (2) –

TOC for the currently active/selected stream (this is a TOC representing the current stream from start to EOS, and is what a TOC writer / muxer is usually interested in; it will usually be a subset of the global TOC, e.g. just the chapters of the current title, or the chapters selected for playback from the current title)

## Constants

### GST_TOC_REPEAT_COUNT_INFINITE

    #define GST_TOC_REPEAT_COUNT_INFINITE (-1)

Special value for the repeat_count set in gst_toc_entry_set_loop or returned by gst_toc_entry_set_loop to indicate infinite looping.

Since : 1.4

### Gst.TOC_REPEAT_COUNT_INFINITE

Special value for the repeat_count set in Gst.TocEntry.prototype.set_loop or returned by Gst.TocEntry.prototype.set_loop to indicate infinite looping.

Since : 1.4

### Gst.TOC_REPEAT_COUNT_INFINITE

Special value for the repeat_count set in Gst.TocEntry.set_loop or returned by Gst.TocEntry.set_loop to indicate infinite looping.

Since : 1.4

The results of the search are